#!/usr/bin/make -f
export DH_VERBOSE = 1

export PYBUILD_NAME=aiosmtplib
export PYBUILD_AFTER_INSTALL=rm -rf '{destdir}/{install_dir}/docs' && rm -rf '{destdir}/{install_dir}/.hypothesis'

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

execute_before_dh_installdocs:
	PYTHONPATH=. python3 -m sphinx -N -q -E -b html docs debian/_docs_build/html
	cp -a docs debian/_docs_build/rst

execute_after_dh_compress:
	ln -sf ../../python3-aiosmtplib-doc/changelog.gz debian/python3-aiosmtplib-doc/usr/share/doc/python3-aiosmtplib/rst/changelog.rst.gz
